Subject: Re: [PATCH] refs: mark the file-local vtable symbols as static

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Jun 2016 11:55:55 -0700

Ramsay Jones <[email-masked]> writes:

> Signed-off-by: Ramsay Jones <[email-masked]>
> ---
>
> Hi Michael, Junio,
>
> I would normally ask you to squash this into the relevant patch when
> you next re-roll your 'mh/ref-iterators' branch, but this has already
> been merged into next. (I normally have a bit more time ... sorry!).
>
> Perhaps, after the release, when the next branch is re-wound/re-built,
> this could be squashed into your branch then.

Yup, sounds like a plan.

>
> Anyway, after applying this patch, the following symbols are still
> 'public but unused':
>
> 	> refs/files-backend.o	- files_reflog_iterator_begin
> 	> refs/iterator.o	- is_empty_ref_iterator
> 	> refs/iterator.o	- merge_ref_iterator_begin
>
> These all look (potentially) useful for the implementation of
> additional 'ref-iter' types and look to be part of the _internal_
> iterator API - so they should not be marked static. Can you just
> confirm my interpretation.

I am not Michael, but FWIW I think that is sensible.